# class KMenuBar | KDE Style-able menubar. More...
Definition | `#include <kmenubar.h>`
Inherits | QMenuBar (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KMenuBar (QWidget *parent=0, const char *name=0)
- ~KMenuBar ()
- void setTopLevelMenu (bool top_level = true)
- bool isTopLevelMenu () const
- void show ()

#### Protected Methods

- void drawContents (QPainter *p)
- void enterEvent (QEvent *ev)
- void leaveEvent (QEvent *ev)
- void showEvent ( QShowEvent* )
- bool eventFilter (QObject *, QEvent *)

#### Protected Slots

- void slotReadConfig ()

#### Protected Members

- bool mouseActive
- Forward KMenuBarPrivate
- KMenuBarPrivate *d

## Detailed Description

KDE Style-able menubar.

This is required since QMenuBar is currently not handled by QStyle.

KMenuBar (QWidget *parent=0, const char *name=0) | ### KMenuBar

~KMenuBar () | ### ~KMenuBar

void setTopLevelMenu (bool top_level = true) | ### setTopLevelMenu

This controls whether or not this menubar will be a top-level bar similar to the way Macintosh handles menubars. This overrides any global config settings.

Keep in mind that it is probably a really bad idea to use this unless you really know what you're doing. A feature like a top-level menubar is one that should really be shared by all applications. If your app is the only one with a top-level bar, then things might look very... odd.

This is included only for those people that `do` know that they need to use it.

Parameters:

top_level | If set to true, then this menubar will be a top-level menu

bool isTopLevelMenu () | ### isTopLevelMenu

[const]

Is our menubar a top-level (Macintosh style) menubar?

Returns: True if it is top-level.

void show () | ### show

Reimplemented from QMenuBar.

void slotReadConfig () | ### slotReadConfig

[protected slots slot]

void drawContents (QPainter *p) | ### drawContents

[protected]

Reimplemented from QMenuBar.

void enterEvent (QEvent *ev) | ### enterEvent

[protected]

void leaveEvent (QEvent *ev) | ### leaveEvent

[protected]

Reimplemented from QMenuBar.

void showEvent ( QShowEvent* ) | ### showEvent

[protected]

bool eventFilter (QObject *, QEvent *) | ### eventFilter

[protected]

Reimplemented from QMenuBar.

bool mouseActive | ### mouseActive

[protected]

KMenuBarPrivate * d | ### d

[protected]

- Version: $Id: kmenubar.h,v 1.45 2000/10/16 15:50:33 ettrich Exp $
- Author: Daniel "Mosfet" Duley.
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.